summaryrefslogtreecommitdiffstats
path: root/bin/chroot-installation.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-02-06 11:38:30 +0100
committerHolger Levsen <holger@layer-acht.org>2015-02-06 11:38:30 +0100
commit7bccaa5c44b074c0e829e91e7ca330512a881df3 (patch)
tree6303ebe641442057db67808e44ca5c47821979f9 /bin/chroot-installation.sh
parent241a08af4dc322a58bbfda8f2cf948e40d870cd6 (diff)
downloadjenkins.debian.net-7bccaa5c44b074c0e829e91e7ca330512a881df3.tar.xz
chroot-installation: yet more debug
Diffstat (limited to 'bin/chroot-installation.sh')
-rwxr-xr-xbin/chroot-installation.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh
index 8358005f..01b0c7c7 100755
--- a/bin/chroot-installation.sh
+++ b/bin/chroot-installation.sh
@@ -49,6 +49,7 @@ cleanup_all() {
}
execute_ctmpfile() {
+ set -x
chmod +x $CTMPFILE
set -o pipefail # see eg http://petereisentraut.blogspot.com/2010/11/pipefail.html
if ! $(sudo chroot $CHROOT_TARGET $TMPFILE 2>&1 | tee $TMPLOG) ; then
@@ -63,6 +64,8 @@ execute_ctmpfile() {
fi
fi
rm $CTMPFILE
+ set +o pipefail
+ set +x
echo "Debug: This should only be printed on success."
}